#
# spec file for package python-asciimatics
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-asciimatics
Version:        1.10.0
Release:        2.36
Summary:        Package to replace curses and create ASCII animations
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://github.com/peterbrittain/asciimatics
Source0:        https://files.pythonhosted.org/packages/py2.py3/a/asciimatics/asciimatics-%{version}-py2.py3-none-any.whl
BuildRequires:  %{python_module Pillow >= 2.7.0}
BuildRequires:  %{python_module future}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pyfiglet >= 0.7.2}
BuildRequires:  %{python_module wcwidth}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Pillow >= 2.7.0
Requires:       python-future
Requires:       python-pyfiglet >= 0.7.2
Requires:       python-wcwidth
BuildArch:      noarch
%python_subpackages

%description
Asciimatics is a package to help people create full-screen text UIs
(from interactive forms to ASCII animations) on any platform.

%prep
%setup -q -c -T

%build
# Not Needed

%install
%python_expand pip%{$python_bin_suffix} install --root=%{buildroot} %{SOURCE0}
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc %{python_sitelib}/asciimatics-*.dist-info/DESCRIPTION.rst
%license %{python_sitelib}/asciimatics-*.dist-info/LICENSE.txt
%{python_sitelib}/*

%changelog
* Mon Mar  5 2018 toddrme2178@gmail.com
- Initial version
